Bug 174247 - Yum clean warnings caused by symlinks
Yum clean warnings caused by symlinks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-26 08:18 EST by Ivan Gyurdiev
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 16:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-11-26 08:18:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
Yum clean doesn't like my creative use of symlinks for the packages directory.. 
I ran out of space, so /var/lib/yum/*/packages are symlinks to a common directory on a different partition. The packages seem to be deleted successfully, but yum still complains about it.

Cannot remove package //var/cache/yum/extras-development/packages/newt-devel-0.52.2-1.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/sudo-1.6.8p12-1.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/kernel-devel-2.6.14-1.1712_FC5.i686.rpm
Cannot remove package //var/cache/yum/extras-development/packages/pup-0.1.7-1.noarch.rpm
Cannot remove package //var/cache/yum/extras-development/packages/apr-0.9.7-3.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/xsane-gimp-0.98a-1.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/util-linux-2.13-0.11.pre6.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/xsane-0.98a-1.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/coreutils-5.93-4.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/kernel-doc-2.6.14-1.1712_FC5.noarch.rpm
Cannot remove package //var/cache/yum/extras-development/packages/kernel-2.6.14-1.1712_FC5.i686.rpm
Cannot remove package //var/cache/yum/extras-development/packages/xorg-x11-xdm-0.99.3-6.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/crypto-utils-2.2-9.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/apr-devel-0.9.7-3.i386.rpm
Cannot remove package //var/cache/yum/extras-development/packages/newt-0.52.2-1.i386.rpm


Version-Release number of selected component (if applicable):
yum-2.4.0-14

How reproducible:
Always

Steps to Reproduce:
1. Symlink packages folder
2. Run yum clean packages
  

Additional info:
Comment 1 Jeremy Katz 2006-09-18 16:20:58 EDT
This should hopefully be better now 

Note You need to log in before you can comment on or make changes to this bug.